Uploaded image for project: 'Appcelerator CLI'
  1. Appcelerator CLI
  2. CLI-1104

Update notifier error on install of appc core

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Duplicate
    • Affects Version/s: Release 5.5.0
    • Fix Version/s: Release 6.0.0
    • Component/s: Core
    • Labels:
    • Environment:

      OS: Microsoft Windows 10 Pro 10.0.14393
      Appc core: 5.5.0
      Appc NPM: 4.2.7

    • Severity:
      Major

      Description

      Description

      When installing 5.5. appc core via Studio the install failed with the below

      C:\Users\ewan\AppData\Roaming\npm\node_modules\appcelerator\node_modules\update-notifier\node_modules\configstore\index.js:69
                      throw err;
                      ^
       
      Error: EPERM: operation not permitted, rename 'C:\Users\ewan\.config\configstore\update-notifier-appcelerator.json.1614752426' -> 'C:\Users\ewan\.config\configstore\update-notifier-appcelerator.json'
          at Error (native)
          at Object.fs.renameSync (fs.js:681:18)
          at Function.writeFileSync [as sync] (C:\Users\ewan\AppData\Roaming\npm\node_modules\appcelerator\node_modules\update-notifier\node_modules\configstore\node_modules\write-file-atomic\index.js:39:8)
          at Object.create.all.set (C:\Users\ewan\AppData\Roaming\npm\node_modules\appcelerator\node_modules\update-notifier\node_modules\configstore\index.js:62:21)
          at Object.Configstore (C:\Users\ewan\AppData\Roaming\npm\node_modules\appcelerator\node_modules\update-notifier\node_modules\configstore\index.js:27:11)
          at new UpdateNotifier (C:\Users\ewan\AppData\Roaming\npm\node_modules\appcelerator\node_modules\update-notifier\index.js:34:17)
          at module.exports (C:\Users\ewan\AppData\Roaming\npm\node_modules\appcelerator\node_modules\update-notifier\index.js:123:23)
          at main (C:\Users\ewan\AppData\Roaming\npm\node_modules\appcelerator\bin\appc:231:17)
          at Object.<anonymous> (C:\Users\ewan\AppData\Roaming\npm\node_modules\appcelerator\bin\appc:316:1)
          at Module._compile (module.js:409:26)
      

      NOTE

      This should be fixed in 4.2.8-X as update-notifier functionality has been removed

      Steps to reproduce

      This will only trigger when update-notifier decides it's time to check

      1. Remove the latest core from your machine
      2. Install via Studio
      Actual result

      The above error is thrown

      Expected resullt

      No errors should be thrown

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                cng Chee Kiat Ng (Inactive)
                Reporter:
                eharris Ewan Harris
              • Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Git Source Code